<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/soc.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">soc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the header file for the SOC driver which exposes the data structures and exported API which can be used by the applications to use the SOC driver.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___cfg__t.html">SOC_Cfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Configuration.  <a href="struct_s_o_c___cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___sys_int_listener_cfg__t.html">SOC_SysIntListenerCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Interrupt Listener Configuration.  <a href="struct_s_o_c___sys_int_listener_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2aa357eab507054b726ae16c31b2d63c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga2aa357eab507054b726ae16c31b2d63c">SOC_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-1)</td></tr>
<tr class="memdesc:ga2aa357eab507054b726ae16c31b2d63c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga2aa357eab507054b726ae16c31b2d63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gae4bffc7af4c61ae0410e9ac5f9c635f0">SOC_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-2)</td></tr>
<tr class="memdesc:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:gae4bffc7af4c61ae0410e9ac5f9c635f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga6ad9b25afcc2348e025fecde4fb8f869">SOC_EINTERNAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-3)</td></tr>
<tr class="memdesc:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Internal error. <br /></td></tr>
<tr class="separator:ga6ad9b25afcc2348e025fecde4fb8f869"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7faa30f4bc9db3fc8ed6c1d29b46b8bf">SOC_ENOSPACE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_SOC_BASE-4)</td></tr>
<tr class="memdesc:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Limits have been exceeded. <br /></td></tr>
<tr class="separator:ga7faa30f4bc9db3fc8ed6c1d29b46b8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94aba5a877a380e5f1c726bcb13f2765"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga94aba5a877a380e5f1c726bcb13f2765">SOC_TRANSLATEADDR_INVALID</a>&#160;&#160;&#160;(0xFFFFFFFFU)</td></tr>
<tr class="memdesc:ga94aba5a877a380e5f1c726bcb13f2765"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: SOC_translateAddress couldn't translate the provided address This value is chosen since all other values can map to a valid address in some domain. <br /></td></tr>
<tr class="separator:ga94aba5a877a380e5f1c726bcb13f2765"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a></td></tr>
<tr class="memdesc:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Driver Handle. <br /></td></tr>
<tr class="separator:gaf2d620ca8ed5bbdf09c68940b05fd280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7de84b8d011ff43a9c414c32df91224d"><td class="memItemLeft" align="right" valign="top">
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a></td></tr>
<tr class="memdesc:ga7de84b8d011ff43a9c414c32df91224d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener Handle. <br /></td></tr>
<tr class="separator:ga7de84b8d011ff43a9c414c32df91224d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2ec041c8f91275861969d25ea16293ab"><td class="memItemLeft" align="right" valign="top">
typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2ec041c8f91275861969d25ea16293ab">SOC_SysIntListenerFxn</a>) (uintptr_t arg)</td></tr>
<tr class="memdesc:ga2ec041c8f91275861969d25ea16293ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener Function. <br /></td></tr>
<tr class="separator:ga2ec041c8f91275861969d25ea16293ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8b88ecfe881d705629edfa9452fb7bf"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga262b5dc254a11516f9d8101cedbf2dfa">SOC_SysClock_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae8b88ecfe881d705629edfa9452fb7bf">SOC_SysClock</a></td></tr>
<tr class="memdesc:gae8b88ecfe881d705629edfa9452fb7bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for system clocks.  <a href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae8b88ecfe881d705629edfa9452fb7bf">More...</a><br /></td></tr>
<tr class="separator:gae8b88ecfe881d705629edfa9452fb7bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0330cd6ff0f1091d7b83be2e72ac675">SOC_TranslateAddr_Dir_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a></td></tr>
<tr class="memdesc:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for address translation from one domain to the other.  <a href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">More...</a><br /></td></tr>
<tr class="separator:ga14e1cbcdd3d2145c449ce854ff5b9021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0375130ab6199735746366b301d4c361"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga514dab907c5bcc8fd5ee5ad0e4b9ab83">SOC_PeripheralClkSource_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a></td></tr>
<tr class="memdesc:ga0375130ab6199735746366b301d4c361"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC RCM Module clock Source.  <a href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">More...</a><br /></td></tr>
<tr class="separator:ga0375130ab6199735746366b301d4c361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad83a31f6e952bfc5a76950778fdd975e"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___cfg__t.html">SOC_Cfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a></td></tr>
<tr class="memdesc:gad83a31f6e952bfc5a76950778fdd975e"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Configuration.  <a href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">More...</a><br /></td></tr>
<tr class="separator:gad83a31f6e952bfc5a76950778fdd975e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7df25030ea9a68a3700d7de026cf4b30"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___sys_int_listener_cfg__t.html">SOC_SysIntListenerCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a></td></tr>
<tr class="memdesc:ga7df25030ea9a68a3700d7de026cf4b30"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Interrupt Listener Configuration.  <a href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">More...</a><br /></td></tr>
<tr class="separator:ga7df25030ea9a68a3700d7de026cf4b30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa26d3729aa788862cb047273f0a6a98c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa26d3729aa788862cb047273f0a6a98c">SOC_init</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad83a31f6e952bfc5a76950778fdd975e">SOC_Cfg</a> *ptrCfg, int32_t *errCode)</td></tr>
<tr class="separator:gaa26d3729aa788862cb047273f0a6a98c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6b33eeda1d9b88bdc33293cb4ed6a4d4">SOC_unhaltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga6b33eeda1d9b88bdc33293cb4ed6a4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga052c0a5972ca033528d14a0dfab89c8d">SOC_haltBSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga052c0a5972ca033528d14a0dfab89c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad382a98de3528e07f1d103c71e5f50d3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad382a98de3528e07f1d103c71e5f50d3">SOC_enableLVDS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gad382a98de3528e07f1d103c71e5f50d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac70ccf967bb86e7bafb8d39c7c63d5b6">SOC_SPIOutputCtrl</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint8_t spiInst, uint8_t enable, int32_t *errCode)</td></tr>
<tr class="separator:gac70ccf967bb86e7bafb8d39c7c63d5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa105d6f345bbdd7753b76831078db51f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa105d6f345bbdd7753b76831078db51f">SOC_waitBSSPowerUp</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa105d6f345bbdd7753b76831078db51f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga766c141327a83bde248c6ef1a44f9f22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga766c141327a83bde248c6ef1a44f9f22">SOC_deinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga766c141327a83bde248c6ef1a44f9f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac143e6c184eb01a7a50898feea1d83fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac143e6c184eb01a7a50898feea1d83fe">SOC_registerSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7df25030ea9a68a3700d7de026cf4b30">SOC_SysIntListenerCfg</a> *ptrListenerCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac143e6c184eb01a7a50898feea1d83fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga49aa10d1e8e7d13ab99d7265f2f6f9de">SOC_deregisterSysIntListener</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint32_t systemInterrupt, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7de84b8d011ff43a9c414c32df91224d">SOC_SysIntListenerHandle</a> listenerHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga49aa10d1e8e7d13ab99d7265f2f6f9de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf0c962d1061e55f2c01a0cb3fa3d1e5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabf0c962d1061e55f2c01a0cb3fa3d1e5">SOC_translateAddress</a> (uint32_t inAddr, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction, int32_t *errCode)</td></tr>
<tr class="separator:gabf0c962d1061e55f2c01a0cb3fa3d1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad20a40feecb898ae999fe3e332c9db51"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad20a40feecb898ae999fe3e332c9db51">SOC_setPeripheralClock</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a> clkSource, uint8_t clkDivisor, int32_t *errCode)</td></tr>
<tr class="separator:gad20a40feecb898ae999fe3e332c9db51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaab4a41bd0d2175c9ba7020e021c83072">SOC_initPeripheralRam</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, int32_t *errCode)</td></tr>
<tr class="separator:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga953aabc650930f4aebaf2e2c31dccd0e">SOC_microDelay</a> (uint32_t delayInMircoSecs)</td></tr>
<tr class="separator:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e34ea7f910437dcf299e4832fc83113"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1e34ea7f910437dcf299e4832fc83113">SOC_triggerWarmReset</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga1e34ea7f910437dcf299e4832fc83113"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab34fe3f3730b6b168071cf029c1f06b5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab34fe3f3730b6b168071cf029c1f06b5">SOC_enableWatchdog</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gab34fe3f3730b6b168071cf029c1f06b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the header file for the SOC driver which exposes the data structures and exported API which can be used by the applications to use the SOC driver. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
